Loading...
Searching...
No Matches
parallel.c File Reference
Rig (transceiver) Internal API

Parallel Port IO. More...

`#include <hamlib/rig.h>`
`#include <hamlib/config.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <errno.h>`
`#include <sys/types.h>`
`#include "parallel.h"`
Include dependency graph for parallel.c:

## Functions

int | par_open (hamlib_port_t *port)
| Open Parallel Port.
int | par_close (hamlib_port_t *port)
| Close Parallel Port.
int | par_write_data (hamlib_port_t *port, unsigned char data)
| Send data on Parallel port.
int | par_read_data (hamlib_port_t *port, unsigned char *data)
| Receive data on Parallel port.
int | par_write_control (hamlib_port_t *port, unsigned char control)
| Set control data for Parallel Port.
int | par_read_control (hamlib_port_t *port, unsigned char *control)
| Read control data for Parallel Port.
int | par_read_status (hamlib_port_t *port, unsigned char *status)
| Get parallel port status.
int | par_lock (hamlib_port_t *port)
| Get a lock on the Parallel Port.
int | par_unlock (hamlib_port_t *port)
| Release lock on Parallel Port.
int | par_ptt_set (hamlib_port_t *p, ptt_t pttx)
| Set or unset Push to talk bit on Parallel Port.
int | par_ptt_get (hamlib_port_t *p, ptt_t *pttx)
| Get state of Push to Talk from Parallel Port.
int | par_dcd_get (hamlib_port_t *p, dcd_t *dcdx)
| get Data Carrier Detect (squelch) from Parallel Port

## Detailed Description

Parallel Port IO.